<?php
//SYNC Commander
//Trslation module
//Chen Qing-can, 2007 autumn, Nanhai China
//[GB2312] ӶϺ

//---------------------------------------------------------------------------
function lang($to_translate)
{
	global $LANG;
	return((array_key_exists(LANG_ID, $LANG) and
		array_key_exists($to_translate, $LANG[LANG_ID])) ?
		$LANG[LANG_ID][$to_translate] :
		$to_translate);
}

//---------------------------------------------------------------------------
function die_help()
{
	print(LINE_END);
	die(lang('"php sync_cmd.php --help" for introduction'));
}

//---------------------------------------------------------------------------
DEFINE('S_WELCOME', -1);
DEFINE('S_HELP', -2);

//---------------------------------------------------------------------------
//English ISO8859-1
$LANG['en.ISO8859-1'][S_WELCOME] = 'SYNC Commander version 1.0.071223
Chen Qing-can, 2007 autumn, Nanhai China
chenqc@gmail.com for bugs & suggestions
This free open source software is released under GNU General Public License
(GPL), see document/GPL.en.txt for details.

';
$LANG['en.ISO8859-1'][S_HELP] = 'Usage:
php sync_cmd.php <arguments>

<arguments> are shown below, separated with space:
--from=<address>             Required. Specify the source address, both local
                             address such as C:\HTTP\xx.com and FTP address
                             such as ftp://xx.com/yy are acceptable.
--from-user=<user>           Optional. If --from is a FTP address, the user
                             name should be specified here.
--from-password=<password>   Optional. If --from is a FTP address, the pass-
                             word can be specified here.
--to=<address>               Required. Specify the destination address. See
                             --from.
--to-user=<user>             Optional. See --from-user.
--to-password=<password>     Optional. See --from-password.
--do=<operation>             Required. See below for details.

Value set of --do=<operation>
--do=copy                    Copy all files and sub-directories from source to
                             destination recursively.
--do=update                  Based on the copy operation, skip the files with
                             same timestamp.
--do=sync                    Based on the update operation, delete the
                             destination files that not exist in the source.
';

//---------------------------------------------------------------------------
//Simplified Chinese GBK
$LANG['zh-CN.GBK'][S_WELCOME] = 'һͬSYNC Commander1.0.071223棩
ӶϺ
ȱݡ黶ӭ֪chenqc@gmail.com
ǰGPLĿԴȨЭɲdocument/GPL.zh-CN.txt

';
$LANG['zh-CN.GBK'][S_HELP] = '÷
php sync_cmd.php <>

<>иϣԿոָ                                    .
--from=<ַ>                ָԴַC:\HTTP\xx.comı
                             ַҲftp://xx.com/yyFTPַ
--from-user=<ʺ>           ѡ--fromFTPַͨ˲ָ
                             ¼FTP֮ʺš
--from-password=<>       ѡ--fromFTPַͨ˲ָ
                             ¼FTP֮롣
--to=<ַ>                  ָĿַ--from˵
--to-user=<ʺ>             ѡ--from-user˵
--to-password=<>         ѡ--from-password˵
--do=<>                  ˵

--do=<>ȡֵΧ£
--do=copy                    Դַ֮ȫļȫļиƵĿַ
--do=update                  copyϣ޸ʱͬļ
--do=sync                    updateϣɾȥԴжĿ괦޵ĶĿ
                             ļ
';
$LANG['zh-CN.GBK']['"php sync_cmd.php --help" for introduction'] = '"php sync_cmd.php --help" ʾָ';
$LANG['zh-CN.GBK']['pause before action'] = 'ǰͣ';
$LANG['zh-CN.GBK']['Error: Failed to read '] = '󣺲ܶ';
$LANG['zh-CN.GBK']['Error: Failed to write '] = '󣺲д';
$LANG['zh-CN.GBK']['Error: Failed to close '] = '棺ܹر';
$LANG['zh-CN.GBK']['FTP to FTP operation is not supported'] = '֧FTPFTPĲ';
$LANG['zh-CN.GBK']['Current version of wput has bugs when destination is not the root directory'] = 'ð汾wputĿַǸĿ¼ʱ';
$LANG['zh-CN.GBK']['Synchronization from file system to FTP server is not supported'] = 'ֱ֧ļFTPͬ';
$LANG['zh-CN.GBK']['Error: missing argument '] = 'ȱٲ';
$LANG['zh-CN.GBK']['Error: Failed to open the pipe to DIR command'] = '󣺲ܴDIRĹܵ';
$LANG['zh-CN.GBK']['Connecting to the FTP server: '] = 'FTP';
$LANG['zh-CN.GBK']['Error: Failed to connect to the FTP server: '] = '󣺲ܽͨFTP';
$LANG['zh-CN.GBK']['Error: Failed to login the FTP server: '] = '󣺲ܵ¼FTP';
$LANG['zh-CN.GBK']['Connected to '] = 'ѽͨ';
$LANG['zh-CN.GBK']['Warning: Failed to disconnect from the FTP server: '] = '棺FTPϿ';
?>
